require 'faraday'

module MinxingRubySdk
  class Connection

    attr_accessor :tokenType, :token, :connection

    def initialize root_url
      @connection = Faraday.new(:url => root_url) do |faraday|
        faraday.request  :url_encoded             # form-encode POST params
        faraday.response :logger                  # log requests to STDOUT
        faraday.adapter  Faraday.default_adapter  # make requests with Net::HTTP
      end
    end
  end
end
