module MinxingRubySdk
  module Util
    def self.hmac_sha1(data, secret)
      require 'base64'
      require 'cgi'
      require 'openssl'
      Base64.encode64(OpenSSL::HMAC.digest('sha1',secret, data)).strip!
    end

    def self.url_param_decode(param)
    	param.gsub! '+', '%2b'
    	CGI::unescape param
    end
  end
end
