require 'logger'
require "minxing_ruby_sdk/version"

module MinxingRubySdk
  # Your code goes here...
  
  class << self
    # Public: Gets or sets the root path that Faraday is being loaded from.
    # This is the root from where the libraries are auto-loaded from.
    attr_accessor :root_path

    # Public: Gets or sets the path that the Faraday libs are loaded from.
    attr_accessor :lib_path


  end

  self.root_path = File.expand_path "../..", __FILE__
  self.lib_path = File.expand_path "../minxing_ruby_sdk", __FILE__

  LOGGER = Logger.new(STDOUT)
  SETTINGS = YAML.load_file(root_path + '/settings.yml')

end
